unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FileCtrl, StdCtrls, Spin;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    FileListBox1: TFileListBox;
    btnAdd: TButton;
    btnDel: TButton;
    btnSlideShow: TButton;
    lblShowSpeed: TLabel;
    seShowSpeed: TSpinEdit;
    procedure btnSlideShowClick(Sender: TObject);
    procedure btnAddClick(Sender: TObject);
    procedure btnDelClick(Sender: TObject);
    procedure FileListBox1DblClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm1.btnSlideShowClick(Sender: TObject);
begin
  Form2 := TForm2.Create(nil);
  try
    Form2.ListBox1.Items.Assign(ListBox1.Items);
    Form2.Timer1.Interval := seShowSpeed.Value * 1000;
    Form2.Timer1.Enabled := True;
    Form2.ShowModal;
  finally
    Form2.Free;
  end;
end;

procedure TForm1.btnAddClick(Sender: TObject);
begin
  ListBox1.Items.Add(FileListBox1.FileName);
end;

procedure TForm1.btnDelClick(Sender: TObject);
var i: integer;
begin
  for i := ListBox1.Items.Count -1 downto 0 do
    if ListBox1.Selected[i] then
      ListBox1.Items.Delete(i);
end;

procedure TForm1.FileListBox1DblClick(Sender: TObject);
begin
  ListBox1.Items.Add(FileListBox1.FileName);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FileListBox1.Mask := '*.bmp;*.jpg'
end;

end.
